petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCISSetSubdomainScalingFactor

Set scaling factor for PCIS.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISSetSubdomainScalingFactor(PC pc, PetscScalar scal)

Not collective

### Input Parameters

| pc | - the preconditioning context
| scal | - scaling factor for the subdomain

### Notes

Intended to use with jumping coefficients cases.

### See Also

PCBDDC

### Level

intermediate

### Location

src/ksp/pc/impls/is/pcis.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html

### Implementations

PCISSetSubdomainScalingFactor_IS in src/ksp/pc/impls/is/pcis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages